The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Linux kernel: integer overflow via create_elf_tables

Synthesis of the vulnerability 

An attacker can generate an integer overflow via create_elf_tables() of the Linux kernel, in order to trigger a denial of service, and possibly to run code.
Vulnerable systems: Debian, BIG-IP Hardware, TMOS, Junos Space, Linux, Palo Alto Firewall PA***, PAN-OS, RHEL, SUSE Linux Enterprise Desktop, SLES, Synology DSM, Synology DS***, Synology RS***, Ubuntu.
Severity of this threat: 2/4.
Creation date: 26/09/2018.
Références of this weakness: CERTFR-2018-AVI-457, CERTFR-2018-AVI-459, CERTFR-2018-AVI-460, CERTFR-2018-AVI-462, CERTFR-2018-AVI-478, CERTFR-2018-AVI-480, CERTFR-2018-AVI-567, CERTFR-2019-AVI-188, CERTFR-2019-AVI-242, CVE-2018-14634, DLA-1529-1, JSA10917, K20934447, PAN-SA-2019-0006, RHSA-2018:2748-01, RHSA-2018:2763-01, RHSA-2018:2846-01, RHSA-2018:2924-01, RHSA-2018:2925-01, RHSA-2018:2933-01, RHSA-2018:3540-01, RHSA-2018:3586-01, RHSA-2018:3590-01, RHSA-2018:3591-01, RHSA-2018:3643-01, SUSE-SU-2018:2879-1, SUSE-SU-2018:2907-1, SUSE-SU-2018:2908-1, SUSE-SU-2018:2908-2, SUSE-SU-2018:3083-1, SUSE-SU-2018:3088-1, USN-3775-1, USN-3775-2, USN-3779-1, VIGILANCE-VUL-27320.

Description of the vulnerability 

An attacker can generate an integer overflow via create_elf_tables() of the Linux kernel, in order to trigger a denial of service, and possibly to run code.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This cybersecurity weakness impacts software or systems such as Debian, BIG-IP Hardware, TMOS, Junos Space, Linux, Palo Alto Firewall PA***, PAN-OS, RHEL, SUSE Linux Enterprise Desktop, SLES, Synology DSM, Synology DS***, Synology RS***, Ubuntu.

Our Vigil@nce team determined that the severity of this security vulnerability is medium.

The trust level is of type confirmed by the editor, with an origin of user shell.

An attacker with a expert ability can exploit this vulnerability bulletin.

Solutions for this threat 

Linux kernel: version 3.16.59.
The version 3.16.59 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v3.x/

Linux kernel: patch for create_elf_tables.
A patch is indicated in information sources.

Debian 8: new linux packages (05/10/2018).
New packages are available:
  Debian 8: linux 3.16.59-1

F5 BIG-IP: solution for Linux.
The solution is indicated in information sources.

Junos Space: version 18.4R1.
The version 18.4R1 is fixed.

PAN-OS: fixed versions for create_elf_tables.
Fixed versions are indicated in information sources.

RHEL 6.4: new kernel packages.
New packages are available:
  RHEL 6: kernel 2.6.32-358.94.1.el6

RHEL 6.5: new kernel packages.
New packages are available:
  RHEL 6: kernel 2.6.32-431.93.2.el6

RHEL 6.6: new kernel packages.
New packages are available:
  RHEL 6: kernel 2.6.32-504.76.2.el6

RHEL 6.7: new kernel packages.
New packages are available:
  RHEL 6: kernel 2.6.32-573.65.2.el6

RHEL 6: new kernel packages.
New packages are available:
  RHEL 6: kernel 2.6.32-754.6.3.el6

RHEL 6: new kernel-rt packages.
New packages are available:
  RHEL 6: kernel-rt 3.10.0-693.43.1.rt56.630.el6rt

RHEL 7.2: new kernel packages.
New packages are available:
  RHEL 7: kernel 3.10.0-327.76.1.el7

RHEL 7.3: new kernel packages.
New packages are available:
  RHEL 7: kernel 3.10.0-514.61.1.el7

RHEL 7.4: new kernel packages.
New packages are available:
  RHEL 7: kernel 3.10.0-693.43.1.el7

RHEL 7: new kernel packages.
New packages are available:
  RHEL 7: kernel 3.10.0-862.14.4.el7

RHEL 7: new kernel-rt packages.
New packages are available:
  RHEL 7: kernel-rt 3.10.0-862.14.4.rt56.821.el7

SUSE LE 11 SP3: new kernel packages.
New packages are available:
  SUSE LE 11 SP3: kernel 3.0.101-0.47.106.50.1

SUSE LE 11 SP4: new kernel packages.
New packages are available:
  SUSE LE 11 SP4: kernel 3.0.101-108.71.1

SUSE LE 11 SP4: new kernel-rt packages.
New packages are available:
  SUSE LE 11 SP4: kernel-rt 3.0.101.rt130-69.36.1

SUSE LE 12 RTM: new kernel packages.
New packages are available:
  SUSE LE 12 RTM: kernel default-3.12.61-52.146.1

SUSE LE 12 SP1: new kernel packages.
New packages are available:
  SUSE LE 12 SP1: kernel 3.12.74-60.64.104.1

Synology DSM: version 6.2.2-24922.
The version 6.2.2-24922 is fixed.

Synology DS/RS: version 6.2.2-24922.
The version 6.2.2-24922 is fixed:
  https://www.synology.com/

Ubuntu 12.04: new linux-image-generic packages.
New packages are available:
  Ubuntu 12.04 ESM: linux-image-generic 3.2.0.136.151

Ubuntu: new linux-image-3.13.0 packages.
New packages are available:
  Ubuntu 14.04 LTS: linux-image-3.13.0-160-generic 3.13.0-160.210
  Ubuntu 12.04 ESM: linux-image-3.13.0-160-generic 3.13.0-160.210~precise1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides networks vulnerabilities bulletins. The Vigil@nce team tracks computer vulnerabilities impacting systems and applications.